Subject: Re: [PATCH net-next v23 1/7] mm: page_frag: add a test module for page_frag

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 14:34:33 -0800

On Fri, 15 Nov 2024 14:12:09 +0000 Mark Brown wrote:
> > As above, I am not sure if there is some elegant way to avoid the above error
> > in the selftest core, one possible way to avoid the above error is to skip
> > compiling like below as tools/testing/selftests/mm/test_page_frag.sh already
> > skip the testing for page_frag if the test module is not compiled:  
> 
> Since the tests currently don't build the test systems are by and by
> large not getting as far as trying to run anything, the entire mm suite
> is just getting skipped.

Yunsheng, please try to resolve this ASAP, or just send a revert
removing the selftest for now. We can't ship net-next to Linus breaking
other subsystem's selftests, and merge window will likely open next
week.